package cz.simecek.inspectionmanager.repository;

import cz.simecek.inspectionmanager.model.Customer;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface CustomerRepository extends CrudRepository<Customer, Long> {

    Iterable<Customer> findByIsDeleted(Boolean isDeleted);

    Optional<Customer> findByIdAndIsDeleted(Long id, Boolean isDeleted);

}
