package cz.simecek.inspectionmanager.repository;

import cz.simecek.inspectionmanager.model.CustomerHistory;
import cz.simecek.inspectionmanager.model.MachineHistory;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MachineHistoryRepository extends CrudRepository<MachineHistory, Long> {

    List<MachineHistory> findByMachine_Id(Long id);
}
