package cz.simecek.inspectionmanager.service.category;

import cz.simecek.inspectionmanager.dto.CategoryDTO;
import cz.simecek.inspectionmanager.dto.MachineDTO;

import java.util.List;

public interface CategoryService {
    List<CategoryDTO> getAll();

    void save(CategoryDTO categoryDTO);

    CategoryDTO getById(Long categoryId);

    void delete(Long categoryId);

    void update(CategoryDTO categoryDTO, Long categoryId);

    void saveCategoryToMachine(Long categoryId, Long machineId);

    List<MachineDTO> getAllMachinesExcludeByCategoryId(Long id);
}
