package cz.simecek.inspectionmanager.service.customer;

import cz.simecek.inspectionmanager.dto.CustomerDTO;
import cz.simecek.inspectionmanager.model.CustomerHistory;

import java.util.List;

public interface CustomerService {
    List<CustomerDTO> getAll();

    void save(CustomerDTO customerDTO);

    CustomerDTO getById(Long customerId);

    void delete(Long customerId);

    void update(CustomerDTO customerDTO, Long customerId);

    List<CustomerHistory> getHistory(Long id);

    List<CustomerDTO> getDeleted();

    void renew(Long customerId);
}
