package cz.simecek.inspectionmanager.service.inspection;

import cz.simecek.inspectionmanager.dto.InspectionDTO;
import cz.simecek.inspectionmanager.model.InspectionHistory;

import java.util.List;

public interface InspectionService {
    List<InspectionDTO> getAll();

    void save(InspectionDTO inspectionDTO, Long machineId);

    InspectionDTO getById(Long inspectionId);

    void delete(Long inspectionId);

    void update(InspectionDTO inspectionDTO, Long inspectionId);

    List<InspectionDTO> getByMachine(Long machineId);

    List<InspectionHistory> getHistoryById(Long id);

    List<InspectionDTO> getDeleted();

    void renew(Long id);
}
