package cz.simecek.inspectionmanager.service.spare_part;

import cz.simecek.inspectionmanager.dto.InspectionDTO;
import cz.simecek.inspectionmanager.dto.SparePartDTO;
import cz.simecek.inspectionmanager.model.SparePartHistory;

import java.util.List;

public interface SparePartService {
    List<SparePartDTO> getAll();

    void save(SparePartDTO partDTO, Long machineId);

    SparePartDTO getById(Long partId);

    void delete(Long partId);

    void update(SparePartDTO partDTO, Long partId);

    List<SparePartDTO> getByMachineId(Long id);

    List<SparePartHistory> getHistoryById(Long id);

    List<SparePartDTO> getDeleted();

    void renew(Long id);
}
