package cz.simecek.inspectionmanager.dto;

import cz.simecek.inspectionmanager.model.Machine;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Set;

public class SparePartDTO {

    private Long id;

    @Size(max = 255)
    private String name;

    @Size(max = 255)
    private String price;

    @Size(max = 255)
    private String code;

    private Set<Machine> machines;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Set<Machine> getMachines() {
        return machines;
    }

    public void setMachines(Set<Machine> machines) {
        this.machines = machines;
    }
}
