package cz.simecek.inspectionmanager.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class UserPasswordDTO {

    private Long userId;

    @NotBlank
    @Size(min = 5, max = 20)
    private String oldPassword;

    @NotBlank
    @Size(min = 5, max = 20)
    private String newPassword;

    @NotBlank
    @Size(min = 5, max = 20)
    private String confirmNewPassword;

    public String getOldPassword() {
        return oldPassword;
    }

    public void setOldPassword(String oldPassword) {
        this.oldPassword = oldPassword;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public String getConfirmNewPassword() {
        return confirmNewPassword;
    }

    public void setConfirmNewPassword(String confirmNewPassword) {
        this.confirmNewPassword = confirmNewPassword;
    }
}
