package cz.simecek.inspectionmanager.repository;

import cz.simecek.inspectionmanager.model.Inspection;
import cz.simecek.inspectionmanager.model.Machine;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import java.util.Optional;


public interface InspectionRepository extends CrudRepository<Inspection, Long> {

    Iterable<Inspection> findByIsDeletedAndMachine_Id(Boolean isDeleted, Long id);

    Iterable<Inspection> findByIsDeleted(Boolean isDeleted);

    Optional<Inspection> findByIdAndIsDeleted(Long id, Boolean isDeleted);
}
