package cz.simecek.inspectionmanager.repository;

import cz.simecek.inspectionmanager.model.SystemUser;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SystemUserRepository extends JpaRepository<SystemUser, Long> {

    SystemUser findByUserName(String userName);

    List<SystemUser> findByIsBlocked(Boolean isBlocked);
}
